|Panel                          |Name                                              |Type                 |Function.for.profile.plot                                                       |Function.for.heatmap                                                             |Description.Docs                                                                                                                                                                                                                                                                                                                                                                                                                          |Default.value              |
|:------------------------------|:-------------------------------------------------|:--------------------|:-------------------------------------------------------------------------------|:--------------------------------------------------------------------------------|:-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:--------------------------|
|Title and axis                 |Title                                             |text                 |Main title (topmost)                                                            |Main title (topmost), common for heatmaps                                        |The main title of the plot, shown in top-center part of the figure; default empty                                                                                                                                                                                                                                                                                                                                                         |empty                      |
|Title and axis                 |X-axis label                                      |text                 |Label below x-axis                                                              |Label below x-axis, repeated for each heatmap                                    |Label shown below horizontal axis; default empty                                                                                                                                                                                                                                                                                                                                                                                          |empty                      |
|Title and axis                 |Y-axis label                                      |text                 |Label left to y-axis, vertical text                                             |Label left to y-axis, vertical text, repeated for each heatmap                   |Label shown below vertical axis; default empty                                                                                                                                                                                                                                                                                                                                                                                            |empty                      |
|Title and axis                 |Title font size                                   |slider [1-48]         |Main title font size                                                            |Main title font size                                                             |Font size of the title in points (point = ~1/72 an inch for standard A4 output); default 20 points                                                                                                                                                                                                                                                                                                                                        |20pt                       |
|Title and axis                 |Labels font size                                  |slider [1-48]         |Labels below x-axis and y-axis font size                                        |Labels below x-axis and y-axis font size                                         |Font size of axis labels in points; default 16 points                                                                                                                                                                                                                                                                                                                                                                                     |16pt                       |
|Title and axis                 |Axis font size                                    |slider [1-48]         |x-axis and y-axis numbers font size                                             |x-axis and y-axis numbers font size                                              |Controls axis ticks font size, that is size of the numbers indicating position in base pairs on X-axis and means signal value on X-axis; default 14 points                                                                                                                                                                                                                                                                                |14pt                       |
|Title and axis                 |Set X-axis limits                                 |checkbox, numeric x2 |Limits x-axis, e.g. plot only +/-1kb from original 10kb selection               |Limits x-axis, e.g. plot 0nly +/-1kb rom original 10kb selection, apply to all   |Set hard plotting limits for X-axis; default values are whole range chosen during plot set calculation                                                                                                                                                                                                                                                                                                                                    |F, auto                    |
|Title and axis                 |Set Y-axis limits                                 |checkbox, numeric x2 |Limits y-axis, e.g. limit signal from 1 to 10                                   |NO FUNCTION, possibly limiting genes/clusters                                    |Set hard plotting limits for Y-axis; default values are a range between lowest and highest mean signal extended by error estimate                                                                                                                                                                                                                                                                                                         |F, auto                    |
|Guide lines and data scaling   |Transform signal                                  |dropdown             |Transform all signal with binary logarithm                                      |Transform all signal with binary logarithm                                       |if set to Log2 transform performs log2 transformation of the signal prior to plotting; default setting is Do not transform                                                                                                                                                                                                                                                                                                                |Do not transform           |
|Guide lines and data scaling   |Show vertical guide line                          |checkbox             |Show vertical line at 0 and end of anchored range for AF                        |Show vertical line at 0 and end of anchored range for AF, apply to all           |show the vertical line at point 0 -  beginning of the feature or midpoint and end of the pseudo-length scaled features (only for anchored plots); turn on by default                                                                                                                                                                                                                                                                      |T                          |
|Guide lines and data scaling   |Show horizontal guide line                        |checkbox, numeric    |Shows horizontal guide line, users decides where                                |NO FUNCTION, possibly controlling cluster indicates and labels                   |show the horizontal line at user determined height; turn off by default                                                                                                                                                                                                                                                                                                                                                                   |F,0                        |
|Guide lines and data scaling   |Show error estimates                              |checkbox             |Show SE and 95%CI as fields                                                     |NO FUNCTION                                                                      |show error standard error and 95% confidence interval as fields, if turned off only the line representing the mean signal is shown; turn on by default                                                                                                                                                                                                                                                                                    |F                          |
|Keys, labels and colours panel |Colors                                            |checkbox             |Reveals color selection in grid, affects singe profiles                         |Reveals color selection in grid, affects singe heatmaps                          |checkboxes revealing a color picker on plot set grid. This input allows to control the colors of specific feature-track pair average plots or sub-heatmaps. In browser supporting the color picker 'e.g. Chrome' the system dialog will show up. In other browsers (e.g. Firefox) the JavaScript color picker will be initialized                                                                                                         |F                          |
|Keys, labels and colors panel  |Label                                             |checkbox             |Reveals label selection in grid, labels go into key/legend                      |Reveals label selection in grid,  labels go above heatmaps, below main title     |checkboxes revealing a label text input plot set grid. This controls the names shown on the key with average plots or the heatmap top labels.                                                                                                                                                                                                                                                                                             |F                          |
|Keys, labels and colors panel  |Priority/Order                                    |checkbox             |Reveals priority selection in grid, affects order in key/legend (top to bottom) |Reveals priority selection in grid, affects order of heatmaps (left to right)    |checkboxes revealing numeric input on plot set grid. These number determine the order of average plots and heatmaps. Feature-track pair with the highest priority will be listed on the top of key for average plots and left-most for heatmaps.                                                                                                                                                                                          |F                          |
|Keys, labels and colors panel  |Show plot key                                     |checkbox             |Controls visibility and position of main key/legend                             |NO FUNCTION, possibly controls visibility of color key                           |shows the key giving the color to feature-track pair label mapping. If turned on the additional drop-down allows to choose the position on the plot, top-right by default                                                                                                                                                                                                                                                                 |T,topright                 |
|Keys, labels and colors panel  |Show error estimate key                           |checkbox             |Controls visibility and position of error estimate key/legend                   |NO FUNCTION                                                                      |shows the key explaining the meaning of error fields. If turned-on the additional drop-down allows to choose the position on the plot, top-left by default                                                                                                                                                                                                                                                                                |F,topleft                  |
|Keys, labels and colors panel  |Legend font size                                  |slider [1-48]         |Controls font size for keys/legends                                             |NO FUNCTION, possibly controls font size of color key                            |set the size of font used to plot the keys; 12 default                                                                                                                                                                                                                                                                                                                                                                                    |12pt                       |
|Heatmap setup                  |Sort heatmap rows by mean signal                  |dropdown             |NO FUNCTION                                                                     |Sort heatmap rows by mean signal in increasing or decreasing order               |sorts the heatmap rows based on the mean value of each row across all sub-heatmaps. Can be set to increasing or decreasing order. Turned off by default.                                                                                                                                                                                                                                                                                  |do not sort                |
|Heatmap setup                  |Clustering algorithm                              |dropdown, numeric    |NO FUNCTION                                                                     |Select clustering algorithm and set up number of clusters                        |choose clustering algorithm (k-means, hierarchical or Suppressor).  If clustering is not desired, choose  *`do not cluster`*, which uses the feature file in the uploaded order . K-means by default.                                                                                                                                                                                                                                     |K-means,5                  |
|Heatmap setup                  |Make cluster calculation repeatable               |checkbox             |NO FUNCTION                                                                     |Make clustering with non-deterministic algorithms repeatable                     |enforces, that clustering with non deterministic algorithms, like k means or Suppressor will generate the same results as most recently plotted heatmap. This is achieved by re using R random number generator seed.                                                                                                                                                                                                                     |F                          |
|Heatmap setup                  |Plot cluster only selected                        |dropdown             |NO FUNCTION                                                                     |Zoom selected cluster to whole plot height                                       |this option is available only if `Make cluster calculation repeatable` is turned on. Allows to select one of the clusters zoom it to whole plot height. Plot all clusters by default.                                                                                                                                                                                                                                                     |All clusters               |
|Heatmap setup                  |Choose individual heatmaps for sorting/clustering |checkbox             |NO FUNCTION                                                                     |Reveals include/exclude in clustering/sorting selection UI in grid               |this option determines if each sub-heatmap should have a separate color key (plotted below the heatmap) or a single, common key should be calculated for all sub-plots (plotted rightmost). By default all sub-heatmap have their own color keys. The example below show the difference between separate (left) and common (right) color keys:                                                                                            |F                          |
|Heatmap setup                  |Heatmaps have individual color keys               |checkbox             |NO FUNCTION                                                                     |If selected each heatmap have a separate colour key                              |this option determines if each sub-heatmap should have a separate color key (plotted below the heatmap) or a single, common key should be calculated for all sub-plots (plotted rightmost). By default all sub-heatmap have their own color keys. The example below show the difference between separate (left) and common (right) color keys:                                                                                            |T                          |
|Heatmap setup                  |Set default color key limits                      |checkbox             |NO FUNCTION                                                                     |If selected color key limits are selected by user                                |this option determines the limits in mapping the numerical values to the colors. The range of colors generated is dependent on these options. Values lower or higher than the given limits will be plotted in the limit value color. If this checkbox is not selected, limits are auto-generated using Color key scaling parameter. If this option it turned off two numerical fields, min and max, are shown to manually set the limits. |F                          |
|Heatmap setup                  |Color key scaling                                 |slider [0-0.1]        |NO FUNCTION                                                                     |Coefficient for auto-calculating key limits, hidden if above is unchecked        |this slider influences how color key limits are generated. For example, 0.01 (default value) calculates limits using data ranging from 1-99 percentile of available data points. 0.1 uses data ranging from 10-90 percentile. The general formula for limit is: [quantile(data, Color key scaling); quantile(data, 1-Color key scaling)]                                                                                                  |0.01                       |
|Heatmap setup                  |min and max color key values                      |numeric              |NO FUNCTION                                                                     |Set color key limits, visible if "Color key scaling" is selected                 | enter values to manually specify color key limits as numeric values.                                                                                                                                                                                                                                                                                                                                                                     |[-1,10]                    |
|Heatmap setup                  |Set individual color key limits                   |checkbox             |NO FUNCTION                                                                     |Reveals individual min/max color key controls in grid                            |this option is similar to manual set up of color key limits, but this allows one to specify different values for individual sub-heatmaps. When this checkbox is selected min and max numeric input menu is shown on the plot set grid                                                                                                                                                                                                     |F                          |
|Heatmap setup                  |Set default colorspace                            |checkbox             |NO FUNCTION                                                                     |Allows to change the default heatmap color mapping                               |When this option is selected three color pickers are shown to set up custom color mappings for heatmaps. The following example below shows standard jet colors (left), default blue color mapping after selecting the checkbox (middle) and custom color selection (right):                                                                                                                                                               |F                          |
|Heatmap setup                  |min/mid/max color pickers                         |color                |NO FUNCTION                                                                     |Creates a color key palette by mapping 3 colours for min, medium and max  values |[see above]                                                                                                                                                                                                                                                                                                                                                                                                                               |[while,lightblue,navyblue] |